org.apache.ignite.internal.visor.cache

## Class VisorCacheConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCacheConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheConfiguration
    extends VisorDataTransferObject

Data transfer object for cache configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheConfiguration()` Default constructor.
`VisorCacheConfiguration(IgniteEx ignite, CacheConfiguration ccfg, IgniteUuid dynamicDeploymentId)` Create data transfer object for cache configuration properties.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `eagerTtl()`
`VisorCacheAffinityConfiguration` `getAffinityConfiguration()`
`CacheAtomicityMode` `getAtomicityMode()`
`long` `getDefaultLockTimeout()`
`IgniteUuid` `getDynamicDeploymentId()`
`VisorCacheEvictionConfiguration` `getEvictionConfiguration()`
`String` `getEvictionFilter()`
`String` `getExpiryPolicyFactory()`
`String` `getGroupName()`
`String` `getInterceptor()`
`List<VisorCacheJdbcType>` `getJdbcTypes()`
`String` `getListenerConfigurations()`
`String` `getLoaderFactory()`
`int` `getMaxConcurrentAsyncOperations()`
`String` `getMemoryPolicyName()` Deprecated.
`CacheMode` `getMode()`
`String` `getName()`
`VisorCacheNearConfiguration` `getNearConfiguration()`
`String` `getNodeFilter()`
`PartitionLossPolicy` `getPartitionLossPolicy()`
`VisorQueryConfiguration` `getQueryConfiguration()`
`int` `getQueryDetailMetricsSize()`
`List<VisorQueryEntity>` `getQueryEntities()`
`int` `getQueryParallelism()`
`VisorCacheRebalanceConfiguration` `getRebalanceConfiguration()`
`int` `getSqlIndexMaxInlineSize()`
`VisorCacheStoreConfiguration` `getStoreConfiguration()`
`String` `getTopologyValidator()`
`String` `getTransactionManagerLookupClassName()` Deprecated.
`String` `getWriterFactory()`
`CacheWriteSynchronizationMode` `getWriteSynchronizationMode()`
`boolean` `isCopyOnRead()`
`boolean` `isEagerTtl()`
`boolean` `isInvalidate()`
`boolean` `isLoadPreviousValue()`
`boolean` `isManagementEnabled()`
`boolean` `isOnheapCacheEnabled()`
`boolean` `isReadFromBackup()`
`boolean` `isStatisticsEnabled()`
`Boolean` `isStoreKeepBinary()`
`boolean` `isSystem()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheConfiguration

    public VisorCacheConfiguration()

Default constructor.

#### VisorCacheConfiguration

    public VisorCacheConfiguration(IgniteEx ignite,
                                   CacheConfiguration ccfg,
                                   IgniteUuid dynamicDeploymentId)

Create data transfer object for cache configuration properties.

Parameters:
  `ignite` - Grid.
  `ccfg` - Cache configuration.
  `dynamicDeploymentId` - Dynamic deployment ID.

### Method Detail

#### getName

    @Nullable
    public String getName()

Returns:
  Cache name.

#### getGroupName

    @Nullable
    public String getGroupName()

Returns:
  Cache group name.

#### getMode

    public CacheMode getMode()

Returns:
  Cache mode.

#### getAtomicityMode

    public CacheAtomicityMode getAtomicityMode()

Returns:
  Cache atomicity mode.

#### eagerTtl

    public boolean eagerTtl()

Returns:
  Eager ttl flag

#### getWriteSynchronizationMode

    public CacheWriteSynchronizationMode getWriteSynchronizationMode()

Returns:
  Write synchronization mode.

#### isInvalidate

    public boolean isInvalidate()

Returns:
  Invalidate.

#### getMaxConcurrentAsyncOperations

    public int getMaxConcurrentAsyncOperations()

Returns:
  Max concurrent async operations

#### getInterceptor

    @Nullable
    public String getInterceptor()

Returns:
  Cache interceptor.

#### getDefaultLockTimeout

    public long getDefaultLockTimeout()

Returns:
  Gets default lock acquisition timeout.

#### getJdbcTypes

    public List<VisorCacheJdbcType> getJdbcTypes()

Returns:
  Collection of type metadata.

#### getNearConfiguration

    public VisorCacheNearConfiguration getNearConfiguration()

Returns:
  Near cache config.

#### isEagerTtl

    public boolean isEagerTtl()

Returns:
  Eager ttl flag.

#### isStatisticsEnabled

    public boolean isStatisticsEnabled()

Returns:
  `true` if cache statistics collection enabled.

#### isManagementEnabled

    public boolean isManagementEnabled()

Returns:
  Whether management is enabled.

#### getLoaderFactory

    public String getLoaderFactory()

Returns:
  Class name of cache loader factory.

#### getWriterFactory

    public String getWriterFactory()

Returns:
  Class name of cache writer factory.

#### getExpiryPolicyFactory

    public String getExpiryPolicyFactory()

Returns:
  Class name of expiry policy factory.

#### getAffinityConfiguration

    public VisorCacheAffinityConfiguration getAffinityConfiguration()

Returns:
  Cache affinity config.

#### getRebalanceConfiguration

    public VisorCacheRebalanceConfiguration getRebalanceConfiguration()

Returns:
  Preload config.

#### getEvictionConfiguration

    public VisorCacheEvictionConfiguration getEvictionConfiguration()

Returns:
  Eviction config.

#### getStoreConfiguration

    public VisorCacheStoreConfiguration getStoreConfiguration()

Returns:
  Store config

#### getQueryEntities

    public List<VisorQueryEntity> getQueryEntities()

Returns:
  Collection of query entities.

#### getQueryConfiguration

    public VisorQueryConfiguration getQueryConfiguration()

Returns:
  Collection of query entities.

#### isSystem

    public boolean isSystem()

Returns:
  System cache flag.

#### isStoreKeepBinary

    public Boolean isStoreKeepBinary()

Returns:
  Keep binary in store flag.

#### isOnheapCacheEnabled

    public boolean isOnheapCacheEnabled()

Returns:
  On-heap cache enabled flag.

#### getPartitionLossPolicy

    public PartitionLossPolicy getPartitionLossPolicy()

Returns:
  Partition loss policy.

#### getQueryParallelism

    public int getQueryParallelism()

Returns:
  Query parallelism.

#### isCopyOnRead

    public boolean isCopyOnRead()

Returns:
  Copy on read flag.

#### getEvictionFilter

    public String getEvictionFilter()

Returns:
  Eviction filter or `null`.

#### getListenerConfigurations

    public String getListenerConfigurations()

Returns:
  Listener configurations.

#### isLoadPreviousValue

    public boolean isLoadPreviousValue()

Returns:
  Load previous value flag.

#### getMemoryPolicyName

    @Deprecated
    public String getMemoryPolicyName()

Deprecated.

Returns:
  `DataRegionConfiguration` name.

#### getSqlIndexMaxInlineSize

    public int getSqlIndexMaxInlineSize()

Returns:
  Maximum payload size for offheap indexes.

#### getNodeFilter

    public String getNodeFilter()

Returns:
  Predicate specifying on which nodes the cache should be started.

#### getQueryDetailMetricsSize

    public int getQueryDetailMetricsSize()

Returns:
  Maximum number of query metrics that will be stored in memory.

#### isReadFromBackup

    public boolean isReadFromBackup()

Returns:
  `true` if data can be read from backup node or `false` if data always should be read from primary node and never from backup.

#### getTransactionManagerLookupClassName

    @Deprecated
    public String getTransactionManagerLookupClassName()

Deprecated.

Returns:
  Transaction manager finder.

#### getTopologyValidator

    public String getTopologyValidator()

Returns:
  Topology validator.

#### getDynamicDeploymentId

    public IgniteUuid getDynamicDeploymentId()

Returns:
  Cache dynamic deployment ID.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019